#    most of this task is now taken from the standard application

set VERSION "VF48"

#    put some default environment variables before loading common 

if {[info exists env(VMEServer)]} then {set resource $env(VMEServer)} else {set resource VME}
set VMEserver $resource

if {[info exists env(RDOUTserver)]} then {set resource $env(RDOUTserver)} else {set resource VME}
set RDOUTserver $resource

set RDOUTserverList $RDOUTserver
set SpectrumServerList {}
set SpectrumServer [first $SpectrumServerList]

set DAProgram MIDASExecV2

loadsource  sys.common

proc checkinstallation  {} {return 0}       ;#   suppress check at present

set frametitle "MIDAS Data Acquisition Experiment Control (VF48)"

set VMEPresent 1
set VMEEnable 1

set TSPresent 1
set TSEnable 0
set txEnable 0

set histEnable 1
set HistMode 1

set TestBuffer ""

lappend Supported_Modules VF48

update_Options

loadsource sys.DA     ;#  for common data acquisition support

loadsource sys.2D    ;# for 2D histogrammming 

proc Custom_PreSetup {args} {define_VME_addresses}


proc Reset_Electronics {} {
       global RegisterServer
       set RegisterServer [inform vmecontrol inquire Role]

       click-vme 2  ;#  Called during GO - Will cause Soft Reset of all channels to flush FIFOs etc

}

